Bug 1268484 - [3.0.2] web console doesn't show build information on overview page after dismissing and rebuilding same thing
[3.0.2] web console doesn't show build information on overview page after dis...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console (Show other bugs)
3.0.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Samuel Padgett
yapei
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-02 17:43 EDT by Erik M Jacobs
Modified: 2015-11-23 09:25 EST (History)
5 users (show)

See Also:
Fixed In Version: atomic-openshift-3.0.2.901-0.git.61.568adb6.el7aos.x86_64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 09:25:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
video of when it happens (8.80 MB, application/octet-stream)
2015-10-02 17:56 EDT, Erik M Jacobs
no flags Details

  None (edit)
Description Erik M Jacobs 2015-10-02 17:43:19 EDT
I can't reliably reproduce it, but occasionally the web console won't show a running build on the overview page. Even if I log out and log back in, while the build is running, the console does not show it as such.

It seems to happen after deleting and recreating the same things over and over again. I'm not sure if there's a magic number.

I haven't tried deleting the project yet, but will. hard-refresh of the browser (control+f5) doesn't fix.
Comment 2 Erik M Jacobs 2015-10-02 17:53:39 EDT
I am wondering if it has something to do with dismiss being clicked... it seems like it might be related.

I have a screen capture of the build not showing and me exploring the browser a little bit. coming up (processing)
Comment 3 Erik M Jacobs 2015-10-02 17:56 EDT
Created attachment 1079537 [details]
video of when it happens
Comment 4 Erik M Jacobs 2015-10-02 17:58:57 EDT
ok, i can confirm it definitely is related to clicking dismiss.

Here's the reproducer:

1) oc new-app --strategy=source nodejs~https://github.com/2015-Middleware-Keynote/sketchpod
2) wait for build to complete successfully
3) click dismiss
4) oc delete all -l app=sketchpod
5) oc new-app --strategy=source nodejs~https://github.com/2015-Middleware-

No build spinner will show.

Browser is Chrome Version 45.0.2454.101 (64-bit)

If I do this in an incognito window and CLOSE the window and then open a new window and log back in then I will see the build spinner.

I am wondering if this is related to some kind of cookie.
Comment 5 Samuel Padgett 2015-10-05 09:07:54 EDT
We assume there will only be one build ever with namespace/name. But that's not true if you delete and recreate the build config and builds.
Comment 6 Samuel Padgett 2015-10-05 12:39:44 EDT
https://github.com/openshift/origin/pull/4949
Comment 7 openshift-github-bot 2015-10-05 15:49:43 EDT
Commit pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/9b707b48f966b8a796b26e5031952d3befaab0ed
Bug 1268484 - Use build.metadata.uid to track dismissed builds in UI
Comment 9 yapei 2015-10-19 06:09:13 EDT
Verified on latest atomic-openshift oc v3.0.2.901-61-g568adb6, this issue has been fixed, no new issues found

verification steps:
1. Create a new app, Build "ruby-sample-build #1 is running,..." shows on overview page for running build
2. Wait for the build complete or failed

3. Start a new build
4. Wait for the build complete or failed
5. Dismiss

6. Start a new build
7. there is message "ruby-sample-build #(N) is running,..."for running build
Comment 11 Brenton Leanhardt 2015-11-23 09:25:35 EST
This fix is available in OpenShift Enterprise 3.1.

Note You need to log in before you can comment on or make changes to this bug.